resources:
  App\Entity\User\Admin:
    security: 'is_granted("ROLE_ADMIN")'
    securityMessage: 'This operation is restricted to internal systems and authorized personnel only. Please ensure you have the necessary permissions before proceeding.'
    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'user:read'

    denormalizationContext:
      groups:
        - 'user:write'
        - 'media_file:write'

    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'admin.order_filter', 'admin.search_filter' ]
        openapiContext:
          summary: Admin - List - [INTERNAL USE ONLY].
          description: >
            Retrieves a list of Admin (Compte administrateur)
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_ADMIN' ]


      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: Admin - Item - [INTERNAL USE ONLY].
          description: >
            Retrieves a item of Admin
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_ADMIN' ]

      ApiPlatform\Metadata\Post:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        openapiContext:
          summary: Admin - Create - [INTERNAL USE ONLY].
          description: >
            create an item of Admin
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_ADMIN' ]

      ApiPlatform\Metadata\Put:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        openapiContext:
          summary: Admin - Update - [INTERNAL USE ONLY].
          description: >
            update an item of Admin
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_ADMIN' ]

      ApiPlatform\Metadata\Delete:
        openapiContext:
          summary: Admin - Delete - [INTERNAL USE ONLY].
          description: >
            Delete an Admin Account
            <br>
            <br>
            **[INTERNAL USE ONLY]**
            <br>
            This operation is restricted to internal systems and authorized personnel only.
            Please ensure you have the necessary permissions before proceeding.
          security:
            - JWT: [ 'ROLE_ADMIN' ]